=== debian/changelog ===
ros-rolling-lifecycle (0.19.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-lifecycle (0.18.0-1focal) focal; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-lifecycle (0.17.0-1focal) focal; urgency=high

  * Fix use of future in lifecycle demo (#534 <https://github.com/ros2/demos/issues/534>)
  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha, Christophe Bedard

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-lifecycle (0.16.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-lifecycle (0.15.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 14 May 2021 07:00:00 -0000

ros-rolling-lifecycle (0.14.2-1focal) focal; urgency=high

  * Cleanup the README.rst for the lifecycle demo. (#508 <https://github.com/ros2/demos/issues/508>)
  * Contributors: Chris Lalancette

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-lifecycle (0.14.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-rolling-lifecycle (0.14.0-1focal) focal; urgency=high

  * change ParameterEventHandler to take events as const ref instead of shared pointer (#494 <https://github.com/ros2/demos/issues/494>)
  * Contributors: William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-lifecycle (0.13.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-lifecycle (0.12.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-lifecycle (0.12.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-lifecycle (0.11.0-1focal) focal; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-lifecycle (0.10.1-1focal) focal; urgency=high

  * Add missing required parameter in LifecycleNode launch action (#456 <https://github.com/ros2/demos/issues/456>)
  * Contributors: Ivan Santiago Paunovic

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-rolling-lifecycle (0.10.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 17 Jun 2020 07:00:00 -0000

ros-rolling-lifecycle (0.9.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-lifecycle (0.9.2-1focal) focal; urgency=high

  * Fix typo (#445 <https://github.com/ros2/demos/issues/445>)
  * Replace ``ros2 msg`` command in lifecycle README (#446 <https://github.com/ros2/demos/issues/446>)
  * Contributors: Audrow Nash, Shota Aoki

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-lifecycle (0.9.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-lifecycle (0.9.0-1focal) focal; urgency=high

  * Replace deprecated launch_ros usage (#437 <https://github.com/ros2/demos/issues/437>)
  * Update launch_ros action usage (#431 <https://github.com/ros2/demos/issues/431>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-lifecycle (0.8.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-lifecycle (0.8.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 11 Nov 2019 08:00:00 -0000

ros-rolling-lifecycle (0.8.2-1focal) focal; urgency=high

  * Remove unnecessary dependency on ros2run (#413 <https://github.com/ros2/demos/issues/413>)
  * Contributors: Michel Hidalgo

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-rolling-lifecycle (0.8.1-1focal) focal; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-lifecycle (0.8.0-1focal) focal; urgency=high

  * Fix lifecycle_service_client namespace (#369 <https://github.com/ros2/demos/issues/369>)
  * Contributors: Cameron Evans

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-lifecycle (0.7.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 30 May 2019 07:00:00 -0000

ros-rolling-lifecycle (0.7.5-1focal) focal; urgency=high

  * Update asciinema recordings (#360 <https://github.com/ros2/demos/issues/360>)
  * Use rate instead of thread::sleep to react to Ctrl-C (#348 <https://github.com/ros2/demos/issues/348>)
  * Contributors: Dirk Thomas, Karsten Knese

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-lifecycle (0.7.4-1focal) focal; urgency=high

  * Add lifecycle rostest (#336 <https://github.com/ros2/demos/issues/336>)
  * Contributors: Michel Hidalgo

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-lifecycle (0.7.3-1focal) focal; urgency=high




