=== debian/control ===
Source: ros-rolling-lifecycle
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-lifecycle-msgs, ros-rolling-rclcpp-lifecycle, ros-rolling-ros-testing, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-lifecycle-msgs, ros-rolling-rclcpp-lifecycle, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Package containing demos for lifecycle implementation
